aboutsummaryrefslogtreecommitdiff
path: root/lint/vim.sh
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2018-06-03 12:52:27 +1200
committerTom Ryder <tom@sanctum.geek.nz>2018-06-03 12:52:27 +1200
commitb16ddff69d781143f210c3c629be27c9e68f5626 (patch)
tree4d068fd14280daf5f26fa44eb7e8629ed0a274d7 /lint/vim.sh
parentMerge branch 'release/v0.42.0' (diff)
parentBump VERSION (diff)
downloaddotfiles-b16ddff69d781143f210c3c629be27c9e68f5626.tar.gz
dotfiles-b16ddff69d781143f210c3c629be27c9e68f5626.zip
Merge branch 'release/v0.43.0'v0.43.0
* release/v0.43.0: Bump VERSION Revamp vint script with blacklist not whitelist Add missing vint targets Add shebang and opening tag detect for PHP Refine shebangs in filetype detection Implement personal filetype.vim Correct name of Makefile target Refactor Vim distribution plugin/macro handling Rebuild help tags after installing bundle Use full commands in buffer cycle mappings Upgrade mail_mutt.vim plugin to v0.2.0
Diffstat (limited to 'lint/vim.sh')
-rw-r--r--lint/vim.sh37
1 files changed, 18 insertions, 19 deletions
diff --git a/lint/vim.sh b/lint/vim.sh
index 64d87e8d..43eaf4c8 100644
--- a/lint/vim.sh
+++ b/lint/vim.sh
@@ -1,21 +1,20 @@
-set -- \
- vim/after \
- vim/bundle/auto_cache_dirs \
- vim/bundle/big_file_options \
- vim/bundle/copy_linebreak \
- vim/bundle/fixed_join \
- vim/bundle/insert_suspend_hlsearch \
- vim/bundle/juvenile \
- vim/bundle/mail_mutt \
- vim/bundle/sahara \
- vim/bundle/strip_trailing_whitespace \
- vim/bundle/toggle_option_flags \
- vim/bundle/uncap_ex \
- vim/compiler \
- vim/config \
- vim/ftdetect \
- vim/gvimrc \
- vim/indent \
- vim/vimrc
+# Build an argument list of checks to make
+set --
+for vim in vim/* vim/bundle/* ; do
+ [ -e "$vim" ] || continue
+ case $vim in
+
+ # Skip third-party plugins
+ vim/bundle) ;;
+ vim/bundle/repeat) ;;
+ vim/bundle/surround) ;;
+
+ # Check everything else
+ *) set -- "$@" "$vim" ;;
+
+ esac
+done
+
+# Run check
vint -s -- "$@" || exit
printf 'Vim configuration linted successfully.\n'